/*==============================================================*/
/* Table: CARGROUP                                              */
/*==============================================================*/
create table CARGROUP (
   CARGROUPID           bigint              not null,
   CARGROUPNAME         varchar(4000)        not null,
   CARGROUPDESCRIPTION  varchar(4000)        null,
   CARGROUPSTATUS       bigint              not null,
   constraint PK_CARGROUP primary key  (CARGROUPID)
);

/*==============================================================*/
/* Table: CARLIST                                               */
/*==============================================================*/
create table CARLIST (
   CARLISTID            bigint              not null,
   CARTYPEID            bigint              not null,
   USERID               bigint              not null,
   CARMODELID           bigint              not null,
   CARSTATUSID          bigint              not null,
   CARLISTDESCRIPTION   varchar(4000)        null,
   CARLISTLOCALNUMBER   varchar(4000)        not null,
   CARLISTGOVERMENTNUMBER varchar(4000)        not null,
   CARLISTWEIGHT        bigint              null,
   CARLISTISSUEDATE     bigint              null,
   CARLISTMAXMASS       bigint              null,
   constraint PK_CARLIST primary key  (CARLISTID)
)
;

/*==============================================================*/
/* Table: CARMODEL                                              */
/*==============================================================*/
create table CARMODEL (
   CARMODELID           bigint              not null,
   MODELSHORTID         bigint              not null,
   CARMODELNAME         varchar(4000)        not null,
   CARMODELDESCRIPTION  varchar(4000)        null,
   constraint PK_CARMODEL primary key  (CARMODELID)
)
;

/*==============================================================*/
/* Table: CARMODULE                                             */
/*==============================================================*/
create table CARMODULE (
   CARMODULEID          bigint              not null,
   USERID               bigint              null,
   CARGROUPID           bigint              null,
   CARMODULEPHONE       varchar(20)          not null,
   CARMODULESERIAL      varchar(30)          null,
   CARMODULEPWD         varchar(30)          null,
   CARMODULESIM         varchar(30)          null,
   CARMODULEPIN         varchar(30)          null,
   CARMODULEPUK         varchar(30)          null,
   CARMODULESETTIME     timestamp             null,
   CARMODULESETUSER     varchar(100)         null,
   CARMODULESTATUS      bigint              null,
   CARMODULEDESCRIPTION varchar(100)         null,
   CARMODULESMSCENTER   varchar(30)          null,
   CARMODULETEXT        varchar(4000)        null,
   SEN5AX               float                null,
   SEN5BX               float                null,
   SEN6AX               float                null,
   SEN6BX               float                null,
   EEPROMERRORS         bigint              null,
   LASTRESPONSETIME     timestamp             null,
   LASTGPRSTIME         timestamp             null,
   GPRSSTATE            bigint              null,
   LASTCOORDSTIME       timestamp             null,
   LASTCOORDSUPtimestamp timestamp             null,
   LASTLAN              float                null,
   LASTLON              float                null,
   LASTSPEED            bigint              null,
   LASTCOURSE           bigint              null,
   GPSATNUMBER          bigint              null,
   LASTEVENT            bigint              null,
   LASTEVENTVALUE       bigint              null,
   LASTEVENTTIME        timestamp             null,
   ROUTEDBID            bigint              null,
   ROUTECTRLSTATE       bigint              null,
   SENSSTATE            bigint              null,
   RELESTATE            bigint              null,
   GUARDSTATE           bigint              null,
   LOGCOUNT             bigint              null,
   DAYSMSCOUNT          bigint              null,
   WEEKSMSCOUNT         bigint              null,
   MONTHSMSCOUNT        bigint              null,
   SMSCOUNTTIME         timestamp             null,
   STATEUPtimestamp      timestamp             null,
   LASTQUERYTIME        timestamp             null,
   ADDRESS              varchar(300)         null,
   GPRSONLINETIME       timestamp             null,
   LASTSERIAL           varchar(50)          null,
   LASTPASSWORD         varchar(50)          null,
   LASTVERSION          varchar(50)          null,
   LASTTARGET           varchar(50)          null,
   LASTVERSIONDATE      varchar(50)          null,
   LASTAUTHSTATE        bigint              null,
   constraint PK_CARMODULE primary key  (CARMODULEID)
)
;

/*==============================================================*/
/* Table: CARMODULEAUTOUPDATE                                   */
/*==============================================================*/
create table CARMODULEAUTOUPDATE (
   CARMODULEAUTOUPDATEID bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEAUTOUPDATETYPE bigint              null,
   CARMODULEAUTOUPtimestamp bigint              null,
   CARMODULEAUTOUPDATESTATUS bigint              null,
   SERVERFLAGS          bigint              null,
   CARMODULEAUTOUPDATECREATETIME timestamp             null,
   constraint PK_CARMODULEAUTOUPDATE primary key  (CARMODULEAUTOUPDATEID)
)
;

/*==============================================================*/
/* Table: CARMODULECALL                                         */
/*==============================================================*/
create table CARMODULECALL (
   CARMODULECALLID      bigint              not null,
   CARMODULEID          bigint              null,
   MODEMMODULEID        bigint              null,
   CARMODULECALLTIME    timestamp             null,
   CARMODULECALLDURATION bigint              null,
   CARMODULECALLTYPE    bigint              null,
   CARMODULECALLSTATUS  bigint              null,
   CARMODULECALLBYTESSEND bigint              null,
   CARMODULECALLBYTESRECEIVE bigint              null,
   constraint PK_CARMODULECALL primary key  (CARMODULECALLID)
)
;

/*==============================================================*/
/* Table: CARMODULECOMMAND                                      */
/*==============================================================*/
create table CARMODULECOMMAND (
   CARMODULECOMMANDID   bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULECOMMANDNAME varchar(200)         null,
   CARMODULECOMMANDDESCRIPTION varchar(4000)        null,
   CARMODULECOMMANDCREATETIME timestamp             null,
   CARMODULECOMMANDDELETETIME timestamp             null,
   CARMODULECOMMANDSTATUS bigint              null,
   RELE1ACTION          bigint              null,
   RELE1TIME            bigint              null,
   RELE2ACTION          bigint              null,
   RELE2TIME            bigint              null,
   RELE3ACTION          bigint              null,
   RELE3TIME            bigint              null,
   GPSACTION            bigint              null,
   ODOMACTION           bigint              null,
   constraint PK_CARMODULECOMMAND primary key  (CARMODULECOMMANDID)
)
;

/*==============================================================*/
/* Table: CARMODULECOUNTERS                                     */
/*==============================================================*/
create table CARMODULECOUNTERS (
   CARMODULECOUNTERSID  bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULECOUNTERSGETTIME timestamp             null,
   MES_TX               bigint              null,
   ERR_TX               bigint              null,
   MES_RX               bigint              null,
   CALL_DATA            bigint              null,
   CALL_DATA_UN         bigint              null,
   CALL_VOICE           bigint              null,
   CALL_VOICE_UN        bigint              null,
   CMD_RX               bigint              null,
   CMD_TX               bigint              null,
   constraint PK_CARMODULECOUNTERS primary key  (CARMODULECOUNTERSID)
)
;

/*==============================================================*/
/* Table: CARMODULEDATA1PARAMS                                  */
/*==============================================================*/
create table CARMODULEDATA1PARAMS (
   CARMODULEDATA1PARAMSID bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEDATA1PARAMSSYNCTIME timestamp             null,
   V_SEN5               float                null,
   V_ACC                float                null,
   V_BORT               float                null,
   V_SEN6               float                null,
   SEN5VAL              float                null,
   SEN6VAL              float                null,
   constraint PK_CARMODULEDATA1PARAMS primary key  (CARMODULEDATA1PARAMSID)
)
;

/*==============================================================*/
/* Table: CARMODULEDATAPARAMS                                   */
/*==============================================================*/
create table CARMODULEDATAPARAMS (
   CARMODULEDATAPARAMSID bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEDATAPARAMSSYNCTIME timestamp             null,
   ODOM                 float                null,
   ODOM_DAY             float                null,
   MASTER               bigint              null,
   REL                  bigint              null,
   GPS_PWR              bigint              null,
   SEN_DATA             bigint              null,
   MOTOR                bigint              null,
   constraint PK_CARMODULEDATAPARAMS primary key  (CARMODULEDATAPARAMSID)
)
;

/*==============================================================*/
/* Table: CARMODULEERROR                                        */
/*==============================================================*/
create table CARMODULEERROR (
   CARMODULEERRORID     bigint              not null,
   ERRORDEVICETYPEID    bigint              null,
   CARMODULEERRORTYPEID bigint              null,
   USERID               bigint              null,
   CARMODULEERRORTIME   timestamp             null,
   CARMODULEERRORDEVICEID bigint              null,
   CARMODULEERRORDEVICENAME varchar(100)         null,
   CARMODULEERRORDESCRIPTION varchar(4000)        null,
   CARMODULEERRORCMD    bigint              null,
   CARMODULEERRORIP     varchar(30)          null,
   constraint PK_CARMODULEERROR primary key  (CARMODULEERRORID)
)
;

/*==============================================================*/
/* Table: CARMODULEERRORTYPE                                    */
/*==============================================================*/
create table CARMODULEERRORTYPE (
   CARMODULEERRORTYPEID bigint              not null,
   CARMODULEERRORTYPENAME varchar(200)         null,
   CARMODULEERRORTYPEDESCRIPTION varchar(1000)        null,
   constraint PK_CARMODULEERRORTYPE primary key  (CARMODULEERRORTYPEID)
)
;

/*==============================================================*/
/* Table: CARMODULEEVENT                                        */
/*==============================================================*/
create table CARMODULEEVENT (
   CARMODULEEVENTID     bigint              not null,
   CARMODULEEVENTNAME   varchar(30)          null,
   CARMODULEEVENTDESCRIPTION varchar(200)         null,
   constraint PK_CARMODULEEVENT primary key  (CARMODULEEVENTID)
)
;

/*==============================================================*/
/* Table: CARMODULEHISTORY                                      */
/*==============================================================*/
create table CARMODULEHISTORY (
   CARMODULEHISTORYID   bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEEVENTID     bigint              null,
   CARMODULEHISTORYGETTIME timestamp             null,
   CARMODULEHISTORYTIME timestamp             null,
   CARMODULEHISTORYLATITUDE float                null,
   CARMODULEHISTORYLONGITUDE float                null,
   CARMODULEHISTORYGPSMISTAKE float                null,
   CARMODULEHISTORYVALUE bigint              null,
   CARMODULEHISTORYSPEED float                null,
   CARMODULEHISTORYCOURCE float                null,
   CARMODULEHISTORYGPSSATELITE bigint              null,
   CARMODULEHISTORYINZONE bigint              null,
   CARMODULEHISTORYANTSHORT bigint              null,
   CARMODULEHISTORYANTOPEN bigint              null,
   CARMODULEHISTORYISMOVE bigint              null,
   CARMODULEHISTORYLOGLEN bigint              null,
   CARMODULEHISTORYGSMSIGNAL bigint              null,
   CARMODULEHISTORYGSMBITRATE bigint              null,
   CARMODULEHISTORYGSMNAME varchar(20)          null,
   CARMODULEHISTORYBOUND bigint              null,
   CARMODULEHISTORYDESCRIPTION varchar(4000)        null,
   CARMODULEHISTORYADDRESS varchar(4000)        null,
   PGEVENTNUM           bigint              null,
   ZONENUM              bigint              null,
   GUARDSTATE           bigint              null,
   SENSTATE             bigint              null,
   ISGPRS               bigint              null,
   EXTVALUE             bigint              null,
   RELESTATE            bigint              null,
   V_BORT               float                null,
   V_ACC                float                null,
   V_SEN5               float                null,
   V_SEN6               float                null,
   SEN5VAL              float                null,
   SEN6VAL              float                null,
   MODESTATE            bigint              null,
   CARMODULEHISTORYGPTIME timestamp             null,
   constraint PK_CARMODULEHISTORY primary key  (CARMODULEHISTORYID)
)
;

/*==============================================================*/
/* Table: CARMODULEIDS                                          */
/*==============================================================*/
create table CARMODULEIDS (
   CARMODULEIDSID       bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEIDSSYNCTIME timestamp             null,
   SN                   varchar(20)          null,
   PW                   varchar(20)          null,
   VERSION              varchar(20)          null,
   TARGET               varchar(20)          null,
   BUILD_DATE           varchar(20)          null,
   BUILD_TIME           varchar(20)          null,
   CARMODULEIDSTYPE     bigint              null,
   constraint PK_CARMODULEIDS primary key  (CARMODULEIDSID)
)
;

/*==============================================================*/
/* Table: CARMODULEMACRO                                        */
/*==============================================================*/
create table CARMODULEMACRO (
   CARMODULEMACROID     bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEMACRONAME   varchar(30)          null,
   CARMODULEMACRODESCRIPTION varchar(200)         null,
   constraint PK_CARMODULEMACRO primary key  (CARMODULEMACROID)
)
;

/*==============================================================*/
/* Table: CARMODULEMODEMS                                       */
/*==============================================================*/
create table CARMODULEMODEMS (
   CARMODULEMODEMSID    bigint              not null,
   CARMODULEID          bigint              null,
   MODEMMODULEID        bigint              null,
   MODEMMODULEPHONE     varchar(30)          null,
   constraint PK_CARMODULEMODEMS primary key  (CARMODULEMODEMSID)
)
;

/*==============================================================*/
/* Table: CARMODULEMODES                                        */
/*==============================================================*/
create table CARMODULEMODES (
   CARMODULEMODESID     bigint              not null,
   CARMODULEMODESNAME   varchar(200)         null,
   CARMODULEMODESCREATETIME timestamp             null,
   CARMODULEMODESSTATUS bigint              null,
   CARMODULEMODESDESCRIPTION varchar(2000)        null,
   MASK_SEND            bigint              null,
   MASK_LOG             bigint              null,
   TR_BAR_1             bigint              null,
   TR_BAR_2             bigint              null,
   TR_BAR_3             bigint              null,
   DIFF                 bigint              null,
   SAT_TIME             bigint              null,
   SEN_TIME             bigint              null,
   LOG_TIME             bigint              null,
   LOG_DIST             bigint              null,
   LOG_VEC              bigint              null,
   SEN5_MIN             bigint              null,
   SEN5_MAX             bigint              null,
   SPEED_MIN            bigint              null,
   SPEED_MAX            bigint              null,
   MASTER_VOICE         bigint              null,
   MASTER_MODE          bigint              null,
   SEN                  bigint              null,
   DATA_TIME            bigint              null,
   VOICE_TIME           bigint              null,
   STOP_TIME            bigint              null,
   PHONE_CALL_EVENT     bigint              null,
   GUARD_CONF           bigint              null,
   SMS_CONF             bigint              null,
   GUARDTIMEHOLE        bigint              null,
   GUARDALARMPERIOD     bigint              null,
   GUARDAUTOONPERIOD    bigint              null,
   GUARDAUTOBLOCK       bigint              null,
   GUARDEXT             bigint              null,
   EXT_MASK_SEND        bigint              null,
   EXT_MASK_LOG         bigint              null,
   SEN5HI               float                null,
   SEN5LOW              float                null,
   SEN5CONF             bigint              null,
   SEN6HI               float                null,
   SEN6LOW              float                null,
   SEN6CONF             bigint              null,
   MOTORCONFIG          bigint              null,
   PCCOUNT              bigint              null,
   constraint PK_CARMODULEMODES primary key  (CARMODULEMODESID)
)
;

/*==============================================================*/
/* Table: CARMODULEPARAMEXT                                     */
/*==============================================================*/
create table CARMODULEPARAMEXT (
   CARMODULEPARAMEXTID  bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEPARAMEXTSYNCTIME timestamp             null,
   GUARDTIMEHOLE        bigint              null,
   GUARDALARMPERIOD     bigint              null,
   GUARDAUTOONPERIOD    bigint              null,
   GUARDAUTOBLOCK       bigint              null,
   GUARDEXT             bigint              null,
   EXT_MASK_SEND        bigint              null,
   EXT_MASK_LOG         bigint              null,
   SEN5HI               float                null,
   SEN5LOW              float                null,
   SEN5CONF             bigint              null,
   SEN6HI               float                null,
   SEN6LOW              float                null,
   SEN6CONF             bigint              null,
   MOTORCONFIG          bigint              null,
   PCCOUNT              bigint              null,
   CARMODULEPARAMEXTDIR bigint              null,
   constraint PK_CARMODULEPARAMEXT primary key  (CARMODULEPARAMEXTID)
)
;

/*==============================================================*/
/* Table: CARMODULEPARAMS                                       */
/*==============================================================*/
create table CARMODULEPARAMS (
   CARMODULEPARAMSID    bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEPARAMSSYNCTIME timestamp             null,
   MASK_SEND            bigint              null,
   MASK_LOG             bigint              null,
   TR_BAR_1             bigint              null,
   TR_BAR_2             bigint              null,
   TR_BAR_3             bigint              null,
   DIFF                 bigint              null,
   SAT_TIME             bigint              null,
   SEN_TIME             bigint              null,
   LOG_TIME             bigint              null,
   LOG_DIST             bigint              null,
   LOG_VEC              bigint              null,
   SEN5_MIN             bigint              null,
   SEN5_MAX             bigint              null,
   SPEED_MIN            bigint              null,
   SPEED_MAX            bigint              null,
   MASTER_VOICE         bigint              null,
   MASTER_MODE          bigint              null,
   SEN                  bigint              null,
   DATA_TIME            bigint              null,
   VOICE_TIME           bigint              null,
   STOP_TIME            bigint              null,
   PHONE_CALL_EVENT     bigint              null,
   GUARD_CONF           bigint              null,
   SMS_CONF             bigint              null,
   CARMODULEPARAMSDIR   bigint              null,
   constraint PK_CARMODULEPARAMS primary key  (CARMODULEPARAMSID)
)
;

/*==============================================================*/
/* Table: CARMODULEPATH                                         */
/*==============================================================*/
create table CARMODULEPATH (
   CARMODULEPATHID      bigint              not null,
   CARMODULEID          bigint              null,
   PATHID               bigint              null,
   CARMODULEPATHSETTIME timestamp             null,
   CARMODULEPATHLOADTIME timestamp             null,
   CARMODULEPATHREMOVETIME timestamp             null,
   CARMODULEPATHSTATUS  bigint              null,
   constraint PK_CARMODULEPATH primary key  (CARMODULEPATHID)
)
;

/*==============================================================*/
/* Table: CARMODULEPATHOBJECT                                   */
/*==============================================================*/
create table CARMODULEPATHOBJECT (
   CARMODULEPATHOBJECTID bigint              not null,
   OBJECTID             bigint              null,
   CARMODULEPATHID      bigint              null,
   CARMODULEPATHOBJECTINDEX bigint              null,
   constraint PK_CARMODULEPATHOBJECT primary key  (CARMODULEPATHOBJECTID)
)
;

/*==============================================================*/
/* Table: CARMODULEPROGEVENT                                    */
/*==============================================================*/
create table CARMODULEPROGEVENT (
   CARMODULEPROGEVENTID bigint              not null,
   OBJECTID             bigint              null,
   PROGRAMEVENTID       bigint              null,
   CARMODULEPATHID      bigint              null,
   CARMODULEPROGEVENTINDEX bigint              null,
   CARMODULEPROGEVENTTYPE bigint              null,
   CARMODULEPROGEVENTZONE bigint              null,
   constraint PK_CARMODULEPROGEVENT primary key  (CARMODULEPROGEVENTID)
)
;

/*==============================================================*/
/* Table: CARMODULERESPONSIBLE                                  */
/*==============================================================*/
create table CARMODULERESPONSIBLE (
   CARMODULERESPONSIBLEID bigint              not null,
   CARMODULEID          bigint              null,
   USERID               bigint              null,
   CARMODULERESPONSIBLESETTIME timestamp             null,
   CARMODULERESPONSIBLEDELETETIME timestamp             null,
   CARMODULERESPONSIBLESTATUS bigint              null,
   constraint PK_CARMODULERESPONSIBLE primary key  (CARMODULERESPONSIBLEID)
)
;

/*==============================================================*/
/* Table: CARMODULERESTRICTIONS                                 */
/*==============================================================*/
create table CARMODULERESTRICTIONS (
   CARMODULERESTRICTIONID bigint              not null,
   PROGRAMEVENTID       bigint              not null,
   PATHID               bigint              not null,
   CARMODULEID          bigint              not null,
   CARMODULERESTRICTIONTYPE bigint              null,
   CARMODULERESTRICTIONSTATUS bigint              null,
   CARMODULERESTRICTIONCREATE timestamp             null,
   CARMODULERESTRICTIONREMOVE timestamp             null,
   constraint PK_CARMODULERESTRICTIONS primary key  (CARMODULERESTRICTIONID)
)
;

/*==============================================================*/
/* Table: CARMODULEROUTESWITCH                                  */
/*==============================================================*/
create table CARMODULEROUTESWITCH (
   CARMODULEROUTESWITCHID bigint              not null,
   CARMODULEID          bigint              null,
   CARMODULEROUTESWITCHPAUSE bigint              null,
   CARMODULEROUTESWITCHSETTIME timestamp             null,
   CARMODULEROUTESWITCHDELETETIME timestamp             null,
   CARMODULEROUTESWITCHSTATUS bigint              null,
   constraint PK_CARMODULEROUTESWITCH primary key  (CARMODULEROUTESWITCHID)
)
;

/*==============================================================*/
/* Table: CARMODULESENSOR                                       */
/*==============================================================*/
create table CARMODULESENSOR (
   CARMODULESENSORID    bigint              not null,
   PROGRAMEVENTTYPEID   bigint              null,
   CARMODULEID          bigint              null,
   CARMODULESENSORVALUE bigint              null,
   CARMODULESENSORCTIME timestamp             null,
   CARMODULESENSORDTIME timestamp             null,
   CARMODULESENSORSTATUS bigint              null,
   constraint PK_CARMODULESENSOR primary key  (CARMODULESENSORID)
)
;

/*==============================================================*/
/* Table: CARMODULESMS                                          */
/*==============================================================*/
create table CARMODULESMS (
   CARMODULESMSID       bigint              not null,
   MODEMMODULEID        bigint              null,
   CARMODULEID          bigint              null,
   CARMODULESMSTIME     timestamp             null,
   CARMODULESMSTYPE     bigint              null,
   CARMODULESMSB64      varchar(200)         null,
   CARMODULESMSHEX      varchar(1000)        null,
   CARMODULESMSCOMMANDS varchar(2000)        null,
   constraint PK_CARMODULESMS primary key  (CARMODULESMSID)
)
;

/*==============================================================*/
/* Table: CARPARAMS                                             */
/*==============================================================*/
create table CARPARAMS (
   CARPARAMSID          bigint              not null,
   CARMODULEID          bigint              null,
   CARPARAMSTIME        timestamp             null,
   CARPARAMSSTATE       bigint              null,
   CARPARAMSDIRECTION   bigint              null,
   CARPARAMSTYPE        bigint              null,
   CARPARAMSINDEX       bigint              null,
   CARPARAMSLENGTH      bigint              null,
   CARPARAMSDATA        varchar(4000)        null,
   constraint PK_CARPARAMS primary key  (CARPARAMSID)
)
;

/*==============================================================*/
/* Table: CARSETMODULEMODEMS                                    */
/*==============================================================*/
create table CARSETMODULEMODEMS (
   CARSETMODULEMODEMSID bigint              not null,
   CARMODULEID          bigint              null,
   MODEMMODULEID        bigint              null,
   MODEMMODULEPHONE     varchar(30)          null,
   constraint PK_CARSETMODULE primary key  (CARSETMODULEMODEMSID)
)
;

/*==============================================================*/
/* Table: CARSTATUS                                             */
/*==============================================================*/
create table CARSTATUS (
   CARSTATUSID          bigint              not null,
   CARSTATUSNAME        varchar(4000)        not null,
   CARSTATUSDESCRIPTION varchar(4000)        null,
   constraint PK_CARSTATUS primary key  (CARSTATUSID)
)
;

/*==============================================================*/
/* Table: CARTYPE                                               */
/*==============================================================*/
create table CARTYPE (
   CARTYPEID            bigint              not null,
   CARTYPENAME          varchar(4000)        not null,
   CARTYPEDESCRIPTION   varchar(4000)        null,
   constraint PK_CARTYPE primary key  (CARTYPEID)
)
;

/*==============================================================*/
/* Table: DEFAULTOBJECTRESTRICTIONS                             */
/*==============================================================*/
create table DEFAULTOBJECTRESTRICTIONS (
   DEFOBJRESTRICTIONID  bigint              not null,
   OBJECTID             bigint              not null,
   DEFINOBJECTMIN       bigint              null,
   DEFINOBJECTMAX       bigint              null,
   DEFOBJECTCREATE      timestamp             null,
   DEFOBJECTREMOVE      timestamp             null,
   constraint PK_DEFAULTOBJECTRESTRICTIONS primary key  (DEFOBJRESTRICTIONID)
)
;

/*==============================================================*/
/* Table: DEFAULTPATHOBJECTRESTRICTIONS                         */
/*==============================================================*/
create table DEFAULTPATHOBJECTRESTRICTIONS (
   DEFPATHOBJRESTRICTIONID bigint              not null,
   PATHDATAID           bigint              not null,
   DEFPATHOBJECTMIN     bigint              null,
   DEFPATHOBJECTMAX     bigint              null,
   DEFPATHOBJECTSTATUS  bigint              null,
   DEFPATHOBJECTCREATE  timestamp             null,
   DEFPATHOBJECTREMOVE  timestamp             null,
   constraint PK_DEFAULTPATHOBJECTRESTRICTIO primary key  (DEFPATHOBJRESTRICTIONID)
)
;

/*==============================================================*/
/* Table: DOCUMENT                                              */
/*==============================================================*/
create table DOCUMENT (
   DOCUMENTID           bigint              not null,
   DOCUMENTORDERID      bigint              not null,
   PATHID               bigint              null,
   USERID               bigint              not null,
   DOCUMENTSUBID        varchar(4000)        null,
   DOCUMENTCARTYPE      varchar(4000)        null,
   DOCUMENTCARNUM       bigint              null,
   DOCUMENTINVNUMBER    varchar(4000)        null,
   DOCUMENTCREATE       timestamp             null,
   DOCUMENTDATE         timestamp             null,
   DOCUMENTTYPE         bigint              null,
   DOCUMENTDESCRIPTION  varchar(4000)        null,
   DOCUMENTSTATUS       bigint              null,
   constraint PK_DOCUMENT primary key  (DOCUMENTID)
)
;

/*==============================================================*/
/* Table: DOCUMENTCAR                                           */
/*==============================================================*/
create table DOCUMENTCAR (
   DOCUMENTCAID         bigint              not null,
   DOCUMENTID           bigint              not null,
   CARLISTID            bigint              not null,
   DOCUMENTCARSTART     timestamp             not null,
   DOCUMENTCAREND       timestamp             not null,
   DOCUMENTCARSTATUS    bigint              null,
   constraint PK_DOCUMENTCAR primary key  (DOCUMENTCAID)
)
;

/*==============================================================*/
/* Table: DOCUMENTORDER                                         */
/*==============================================================*/
create table DOCUMENTORDER (
   DOCUMENTORDERID      bigint              not null,
   MODELSHORTID         bigint              null,
   OBJECTID             bigint              null,
   USERID               bigint              not null,
   CARTYPEID            bigint              null,
   OBJECTTASKID         bigint              null,
   DOCUMENTORDERNUM     varchar(40)          not null,
   DOCUMENTORDERSUBNUM  bigint              not null,
   DOCUMENTORDERDATE    timestamp             null,
   DOCUMENTORDERNUMREQCAR bigint              null,
   DOCUMENTORDERNUMCAR  bigint              null,
   DOCUMENTORDERCREATESTAMP timestamp             not null,
   DOCUMENTORDERDAYTIME bigint              null,
   DOCUMENTORDERWORKTIMEBEGIN timestamp             null,
   DOCUMENTORDERWORKTIMEEND timestamp             null,
   DOCUMENTORDERRESPONSIBLE varchar(4000)        null,
   DOCUMENTORDERAUTHOR  varchar(4000)        null,
   DOCUMENTORDERDESCRIPTION varchar(4000)        null,
   DOCUMENTORDERSTATUS  bigint              null,
   DOCUMENTORDERSTRING  varchar(4000)        null,
   constraint PK_DOCUMENTORDER primary key  (DOCUMENTORDERID)
)
;

/*==============================================================*/
/* Table: ERRORDEVICETYPE                                       */
/*==============================================================*/
create table ERRORDEVICETYPE (
   ERRORDEVICETYPEID    bigint              not null,
   ERRORDEVICETYPENAME  varchar(200)         null,
   ERRORDEVICETYPEDESCRIPTION varchar(1000)        null,
   constraint PK_ERRORDEVICETYPE primary key  (ERRORDEVICETYPEID)
)
;

/*==============================================================*/
/* Table: FUEL                                                  */
/*==============================================================*/
create table FUEL (
   FUELID               bigint              not null,
   CARMODULEID          bigint              null,
   FUELCREATETIME       timestamp             null,
   FUELTYPE             char(10)             null,
   FUELRATEWINTER       float                null,
   FUELRATESUMMER       float                null,
   FUELRATEMOTOWINTER   float                null,
   FUELRATEMOTOSUMMER   float                null,
   FUELSTATUS           bigint              null,
   MAXRATE              float                null,
   MAXRATEMOTOR         float                null,
   MINREFUELLING        float                null,
   MINDISCHARGE         float                null,
   FILTERFALSEEJECTION  bigint              null,
   FILTERNULLVALUE      bigint              null,
   constraint PK_FUEL primary key  (FUELID)
)
;

/*==============================================================*/
/* Table: FUELTARE                                              */
/*==============================================================*/
create table FUELTARE (
   FUELTAREID           bigint              not null,
   CARMODULEID          bigint              null,
   USERID               bigint              null,
   FUELTARENAME         varchar(200)         null,
   FUELTAREDESC         varchar(4000)        null,
   FUELTARECREATETIME   timestamp             null,
   FUELTARELOADTIME     timestamp             null,
   FUELTAREREMOVETIME   timestamp             null,
   FUELTARESENSOR       bigint              null,
   FUELTAREVOLUME       float                null,
   FUELTAREVOLUMEMAX    float                null,
   FUELTAREVOLUMEMIN    float                null,
   FUELTAREMISTAKE      float                null,
   FUELTAREUSERATIO     bigint              null,
   FUELTAREPOLYPOWER    bigint              null,
   FUELTARESTATUS       bigint              null,
   FUELTAREARGMIN       float                null,
   FUELTAREARGMAX       float                null,
   constraint PK_FUELTARE primary key  (FUELTAREID)
)
;

/*==============================================================*/
/* Table: FUELTARECOEF                                          */
/*==============================================================*/
create table FUELTARECOEF (
   FUELTARECOEFID       bigint              not null,
   FUELTAREID           bigint              null,
   FUELTARECOEFPOWER    bigint              null,
   FUELTARECOEFVALUE    float                null,
   constraint PK_FUELTARECOEF primary key  (FUELTARECOEFID)
)
;

/*==============================================================*/
/* Table: FUELTAREPOINT                                         */
/*==============================================================*/
create table FUELTAREPOINT (
   FUELTAREPOINTID      bigint              not null,
   FUELTAREID           bigint              null,
   FUELTAREPOINTINDEX   bigint              null,
   FUELTAREPOINTSENV    float                null,
   FUELTAREPOINTBORTV   float                null,
   FUELTAREPOINTVOLUME  float                null,
   constraint PK_FUELTAREPOINT primary key  (FUELTAREPOINTID)
)
;

/*==============================================================*/
/* Table: GRAPHICOBJECT                                         */
/*==============================================================*/
create table GRAPHICOBJECT (
   GRAPHICOBJECTID      bigint              not null,
   OBJECTID             bigint              null,
   GRAPHICOBJECTTYPE    bigint              null,
   GRAPHICOBJECTDESCRIPTION varchar(4000)        null,
   GRAPHICOBJECTDATA    varchar(4000)        null,
   GRAPHICOBJECTCOLOR   bigint              null,
   GRAPHICOBJECTSTYLE   bigint              null,
   GRAPHICOBJECTSTATUS  bigint              null,
   GRAPHICOBJECTCREATE  timestamp             null,
   GRAPHICOBJECTREMOVE  timestamp             null,
   constraint PK_GRAPHICOBJECT primary key  (GRAPHICOBJECTID)
)
;

/*==============================================================*/
/* Table: LOG                                                   */
/*==============================================================*/
create table LOG (
   LOGID                bigint              not null,
   LOGRECORDID          bigint              not null,
   LOGSUBID             bigint              null,
   LOGTABLE             bigint              not null,
   LOGTYPE              bigint              not null,
   constraint PK_LOG primary key  (LOGID)
)
;

/*==============================================================*/
/* Table: MESSAGE                                               */
/*==============================================================*/
create table MESSAGE (
   MESSAGEID            bigint              not null,
   MESSAGENAME          varchar(200)         null,
   MESSAGESUBNAME       varchar(200)         null,
   MESSAGETYPE          bigint              null,
   MESSAGESHORTDESCRIPTION varchar(200)         null,
   MESSAGEDESCRIPTION   varchar(4000)        null,
   MESSAGEDISPLAYTYPE   bigint              null,
   MESSAGEINFOTYPE      bigint              null,
   MESSAGEDESTINATIONTYPE bigint              null,
   MESSAGEDESTINATIONID bigint              null,
   MESSAGESTATUS        bigint              null,
   MESSAGESHOWTIME      bigint              null,
   MESSAGEALARMCONFIG   bigint              null,
   constraint PK_MESSAGE primary key  (MESSAGEID)
)
;

/*==============================================================*/
/* Table: MESSAGELOG                                            */
/*==============================================================*/
create table MESSAGELOG (
   MESSAGELOGID         bigint              not null,
   MESSAGELOGTYPE       bigint              null,
   MESSAGELOGINFOTYPE   bigint              null,
   MESSAGELOGDISPLAYTYPE bigint              null,
   MESSAGELOGDESTINATIONTYPE bigint              null,
   MESSAGELOGDESTINATIONID bigint              null,
   MESSAGELOGTIME       timestamp             null,
   MESSAGELOGSHOWTIME   bigint              null,
   MESSAGELOGOLDEVENT   bigint              null,
   MESSAGELOGDESCRIPTION varchar(4000)        null,
   MESSAGELOGALARMCONFIG bigint              null,
   constraint PK_MESSAGELOG primary key  (MESSAGELOGID)
)
;

/*==============================================================*/
/* Table: MODELSHORT                                            */
/*==============================================================*/
create table MODELSHORT (
   MODELSHORTID         bigint              not null,
   MODELSHORTNAME       varchar(4000)        null,
   MODELSHORTDESCRIPTION varchar(4000)        null,
   constraint PK_MODELSHORT primary key  (MODELSHORTID)
)
;

/*==============================================================*/
/* Table: MODEMMODULE                                           */
/*==============================================================*/
create table MODEMMODULE (
   MODEMMODULEID        bigint              not null,
   MODEMMODULEPHONE     varchar(20)          not null,
   MODEMMODULESIM       varchar(30)          null,
   MODEMMODULEPIN       varchar(30)          null,
   MODEMMODULEPUK       varchar(30)          null,
   MODEMMODULESTATUS    bigint              null,
   MODEMMODULESMSPRIOR  bigint              null,
   MODEMMODULEDATAPRIOR bigint              null,
   constraint PK_MODEMMODULE primary key  (MODEMMODULEID)
)
;

/*==============================================================*/
/* Table: MODEMMODULEPARAMS                                     */
/*==============================================================*/
create table MODEMMODULEPARAMS (
   MODEMMODULEPARAMSID  bigint              not null,
   MODEMMODULEID        bigint              null,
   constraint PK_MODEMMODULEPARAMS primary key  (MODEMMODULEPARAMSID)
)
;

/*==============================================================*/
/* Table: OBJECT                                                */
/*==============================================================*/
create table OBJECT (
   OBJECTID             bigint              not null,
   USERID               bigint              not null,
   OBJECTTYPEID         bigint              not null,
   OBJECTSTATUSID       bigint              not null,
   OBJECTNAME           varchar(4000)        not null,
   OBJECTMANAGER        varchar(4000)        null,
   OBJECTLOCATIONCOORD  varchar(4000)        null,
   OBJECTLOCATIONSTRING varchar(4000)        null,
   OBJECTDESCRIPTION    varchar(4000)        null,
   OBJECTCREATE         timestamp             null,
   OBJECTREMOVE         timestamp             null,
   constraint PK_OBJECT primary key  (OBJECTID)
)
;

/*==============================================================*/
/* Table: OBJECTMANAGERS                                        */
/*==============================================================*/
create table OBJECTMANAGERS (
   OBJECTMANAGERID      bigint              not null,
   OBJECTID             bigint              null,
   OBJECTMANAGERNAME    varchar(4000)        null,
   OBJECTMANAGERDESCRIPTION varchar(4000)        null,
   constraint PK_OBJECTMANAGERS primary key  (OBJECTMANAGERID)
)
;

/*==============================================================*/
/* Table: OBJECTMODULE                                          */
/*==============================================================*/
create table OBJECTMODULE (
   OBJECTMODULEID       bigint              not null,
   USERID               bigint              null,
   OBJECTID             bigint              null,
   OBJECTMODULECREATETIME timestamp             null,
   OBJECTMODULEREMOVETIME timestamp             null,
   OBJECTMODULESTATUS   bigint              null,
   OBJECTTYPE           bigint              null
)
;

/*==============================================================*/
/* Table: OBJECTPOINT                                           */
/*==============================================================*/
create table OBJECTPOINT (
   OBJECTID             bigint              not null,
   POINTORDER           bigint              not null,
   LAT                  bigint(9,6)         not null,
   LON                  bigint(9,6)         not null
)
;

/*==============================================================*/
/* Table: OBJECTSTATUS                                          */
/*==============================================================*/
create table OBJECTSTATUS (
   OBJECTSTATUSID       bigint              not null,
   OBJECTSTATUSNAME     varchar(4000)        not null,
   OBJECTSTATUSDESCRIPTION varchar(4000)        null,
   constraint PK_OBJECTSTATUS primary key  (OBJECTSTATUSID)
)
;

/*==============================================================*/
/* Table: OBJECTTASK                                            */
/*==============================================================*/
create table OBJECTTASK (
   OBJECTTASKID         bigint              not null,
   OBJECTTASKNAME       varchar(4000)        not null,
   OBJECTTASKDESCRIPTION varchar(4000)        null,
   OBJECTTASKSTATUS     bigint              null,
   constraint PK_OBJECTTASK primary key  (OBJECTTASKID)
)
;

/*==============================================================*/
/* Table: OBJECTTIMERESTRICTIONS                                */
/*==============================================================*/
create table OBJECTTIMERESTRICTIONS (
   TIMERESTRICTIONID    bigint              not null,
   CARMODULEID          bigint              null,
   PATHDATAID           bigint              null,
   ENTERMINTIME         timestamp             null,
   ENTERMAXTIME         timestamp             null,
   INOBJECTMIN          bigint              null,
   INOBJECTMAX          bigint              null,
   TIMERESTRICTIONSTATUS bigint              null,
   TIMERESTRICTIONCREATE timestamp             null,
   TIMERESTRICTIONREMOVE timestamp             null,
   constraint PK_OBJECTTIMERESTRICTIONS primary key  (TIMERESTRICTIONID)
)
;

/*==============================================================*/
/* Table: OBJECTTYPE                                            */
/*==============================================================*/
create table OBJECTTYPE (
   OBJECTTYPEID         bigint              not null,
   OBJECTTYPENAME       varchar(4000)        not null,
   OBJECTTYPEDESCRIPTION varchar(4000)        null,
   constraint PK_OBJECTTYPE primary key  (OBJECTTYPEID)
)
;

/*==============================================================*/
/* Table: PARAMLINK                                             */
/*==============================================================*/
create table PARAMLINK (
   PARAMLINKID          bigint              not null,
   PARAMLINKTIME        timestamp             null,
   PARAMLINKSTATE       bigint              null,
   PARAMSLINKTYPE       bigint              null,
   PARAMSLINKINDEX      bigint              null,
   PARAMSID             bigint              null,
   PARAMSETID           bigint              null,
   CARMODULEID          bigint              null,
   constraint PK_PARAMLINK primary key  (PARAMLINKID)
)
;

/*==============================================================*/
/* Table: PARAMS                                                */
/*==============================================================*/
create table PARAMS (
   PARAMSID             bigint              not null,
   PARAMSTIME           timestamp             null,
   PARAMSSTATE          bigint              null,
   PARAMSNAME           varchar(100)         null,
   PARAMSDESC           varchar(1000)        null,
   PARAMSTYPE           bigint              null,
   PARAMSINDEX          bigint              null,
   PARAMSLENGTH         bigint              null,
   PARAMSDATA           varchar(4000)        null,
   constraint PK_PARAMS primary key  (PARAMSID)
)
;

/*==============================================================*/
/* Table: PARAMSET                                              */
/*==============================================================*/
create table PARAMSET (
   PARAMSETID           bigint              not null,
   PARAMSETTIME         timestamp             null,
   PARAMSETSTATE        bigint              null,
   PARAMSETTYPE         bigint              null,
   PARAMSETNAME         varchar(100)         null,
   PARAMSETDESC         varchar(1000)        null,
   constraint PK_PARAMSET primary key  (PARAMSETID)
)
;

/*==============================================================*/
/* Table: PATHDATA                                              */
/*==============================================================*/
create table PATHDATA (
   PATHDATAID           bigint              not null,
   PATHID               bigint              null,
   OBJECTID             bigint              null,
   PATHDATASTATUS       bigint              null,
   PATHDATADESCRIPTION  varchar(4000)        null,
   PATHDATACREATE       timestamp             null,
   PATHDATAREMOVE       timestamp             null,
   constraint PK_PATHDATA primary key  (PATHDATAID)
)
;

/*==============================================================*/
/* Table: PATHLIST                                              */
/*==============================================================*/
create table PATHLIST (
   PATHID               bigint              not null,
   OBJECTID             bigint              null,
   OBJECTTASKID         bigint              not null,
   USERID               bigint              not null,
   PATHCOLOR            bigint              null,
   PATHBRUSH            bigint              null,
   PATHDESCRIPTION      varchar(4000)        null,
   PATHSTATUS           bigint              null,
   PATHCREATE           timestamp             null,
   PATHREMOVE           timestamp             null,
   constraint PK_PATHLIST primary key  (PATHID)
)
;

/*==============================================================*/
/* Table: PLAN_TABLE                                            */
/*==============================================================*/
create table PLAN_TABLE (
   STATEMENT_ID         varchar(30)          null,
   TIMESTAMP            timestamp             null,
   REMARKS              varchar(80)          null,
   OPERATION            varchar(30)          null,
   OPTIONS              varchar(30)          null,
   OBJECT_NODE          varchar(128)         null,
   OBJECT_OWNER         varchar(30)          null,
   OBJECT_NAME          varchar(30)          null,
   OBJECT_INSTANCE      bigint              null,
   OBJECT_TYPE          varchar(30)          null,
   OPTIMIZER            varchar(255)         null,
   SEARCH_COLUMNS       bigint              null,
   ID                   bigint              null,
   PARENT_ID            bigint              null,
   POSITION             bigint              null,
   COST                 bigint              null,
   CARDINALITY          bigint              null,
   BYTES                bigint              null,
   OTHER_TAG            varchar(255)         null,
   PARTITION_START      varchar(255)         null,
   PARTITION_STOP       varchar(255)         null,
   PARTITION_ID         bigint              null,
   OTHER                varchar(1)           null,
   DISTRIBUTION         varchar(30)          null,
   CPU_COST             bigint              null,
   IO_COST              bigint              null,
   TEMP_SPACE           bigint              null
)
;

/*==============================================================*/
/* Table: PROGRAMEVENTPOINT                                     */
/*==============================================================*/
create table PROGRAMEVENTPOINT (
   PROGRAMEVENTPOINTID  bigint              not null,
   PROGRAMEVENTID       bigint              null,
   PROGRAMEVENTTYPEID   bigint              null,
   PROGRAMEVENTPOINTVALUE bigint              null,
   PROGRAMEVENTPOINTSTOPSTATE bigint              null,
   PROGRAMEVENTPOINTCTIME timestamp             null,
   PROGRAMEVENTPOINTDTIME timestamp             null,
   PROGRAMEVENTPOINTSTATUS bigint              null,
   constraint PK_PROGRAMEVENTPOINT primary key  (PROGRAMEVENTPOINTID)
)
;

/*==============================================================*/
/* Table: PROGRAMEVENTS                                         */
/*==============================================================*/
create table PROGRAMEVENTS (
   PROGRAMEVENTID       bigint              not null,
   PROGRAMEVENTNAME     varchar(4000)        null,
   PROGRAMEVENTDESCRIPTION varchar(4000)        null,
   PROGRAMEVENTSTATUS   bigint              null,
   constraint PK_PROGRAMEVENTS primary key  (PROGRAMEVENTID)
)
;

/*==============================================================*/
/* Table: PROGRAMEVENTTYPE                                      */
/*==============================================================*/
create table PROGRAMEVENTTYPE (
   PROGRAMEVENTTYPEID   bigint              not null,
   CARMODULEEVENTID     bigint              null,
   PROGRAMEVENTTYPEEXT  bigint              null,
   PROGRAMEVENTTYPEVALUE bigint              null,
   PROGRAMEVENTTYPENAME varchar(2000)        null,
   PROGRAMEVENTTYPECTIME timestamp             null,
   PROGRAMEVENTTYPEDTIME timestamp             null,
   PROGRAMEVENTTYPESTATUS bigint              null,
   constraint PK_PROGRAMEVENTTYPE primary key  (PROGRAMEVENTTYPEID)
)
;

/*==============================================================*/
/* Table: REPORT                                                */
/*==============================================================*/
create table REPORT (
   REPORTID             bigint              not null,
   REPORTTASKID         bigint              null,
   REPORTDATA           text                null,
   REPORTDATE           timestamp             null,
   REPORTTYPEDATA       varchar(4000)        null,
   constraint PK_REPORT primary key  (REPORTID)
)
;

/*==============================================================*/
/* Table: REPORTTASK                                            */
/*==============================================================*/
create table REPORTTASK (
   REPORTTASKID         bigint              not null,
   REPORTTASKDESCRIPTION varchar(4000)        null,
   REPORTTASKSTART      timestamp             null,
   REPORTTASKTYPE       bigint              null,
   REPORTTASKSUBTYPE    bigint              null,
   REPORTTASKNAME       varchar(4000)        null,
   REPORTTASKDATA       varchar(4000)        null,
   REPORTTASKLAST       timestamp             null,
   REPORTTASKSTATUS     bigint              null,
   constraint PK_REPORTTASK primary key  (REPORTTASKID)
)
;

/*==============================================================*/
/* Table: ROLES                                                 */
/*==============================================================*/
create table ROLES (
   ROLEID               bigint              not null,
   USERID               bigint              null,
   ROLEDESCRIPTION      varchar(4000)        null,
   ROLETYPE             bigint              not null,
   constraint PK_ROLES primary key  (ROLEID)
)
;

/*==============================================================*/
/* Table: SIGNEDDOCUMENT                                        */
/*==============================================================*/
create table SIGNEDDOCUMENT (
   SIGNEDDOCUMENTID     bigint              not null,
   USERID               bigint              not null,
   LINKEDDOCUMENT       varchar(4000)        null,
   SIGNEDDOCUMENTDATE   timestamp             not null,
   SIGNEDDOCUMENTNAME   varchar(4000)        null,
   SIGNEDDOCUMENTDATA   text                null,
   SIGNEDDOCUMENTSTATUS bigint              not null,
   constraint PK_SIGNEDDOCUMENT primary key  (SIGNEDDOCUMENTID)
)
;

/*==============================================================*/
/* Table: TRACKEVENT                                            */
/*==============================================================*/
create table TRACKEVENT (
   TRACKEVENTID         bigint              not null,
   PROGRAMEVENTID       bigint              not null,
   PATHID               bigint              not null,
   TRACKEVENTTYPE       bigint              null,
   TRACKEVENTSTATUS     bigint              null,
   TRACKEVENTCREATE     timestamp             null,
   TRACKEVENTREMOVE     timestamp             null,
   constraint PK_TRACKEVENT primary key  (TRACKEVENTID)
)
;

/*==============================================================*/
/* Table: TRACKOBJECTEVENT                                      */
/*==============================================================*/
create table TRACKOBJECTEVENT (
   TRACKOBJECTEVENTID   bigint              not null,
   PROGRAMEVENTID       bigint              not null,
   PATHDATAID           bigint              not null,
   TRACKOBJECTEVENTTYPE bigint              null,
   TRACKOBJECTEVENTSTATUS bigint              null,
   TRACKOBJECTEVENTCREATE timestamp             null,
   TRACKOBJECTEVENTREMOVE timestamp             null,
   constraint PK_TRACKOBJECTEVENT primary key  (TRACKOBJECTEVENTID)
)
;

/*==============================================================*/
/* Table: USERGROUPS                                            */
/*==============================================================*/
create table USERGROUPS (
   USERGROUPSID         bigint              not null,
   USERID               bigint              not null,
   USERSUBID            bigint              not null,
   USERGROUPSCREATETIME timestamp             null,
   USERGROUPSREMOVETIME timestamp             null,
   USERGROUPSSTATUS     bigint              null,
   constraint PK_USERGROUPS primary key  (USERGROUPSID)
)
;

/*==============================================================*/
/* Table: USERMODES                                             */
/*==============================================================*/
create table USERMODES (
   USERMODESID          bigint              not null,
   USERID               bigint              not null,
   CARMODULEMODESID     bigint              not null,
   USERMODESCREATETIME  timestamp             null,
   USERMODESREMOVETIME  timestamp             null,
   USERMODESSTATUS      bigint              null,
   constraint PK_USERMODE primary key  (USERMODESID)
)
;

/*==============================================================*/
/* Table: USERMODULE                                            */
/*==============================================================*/
create table USERMODULE (
   USERMODULEID         bigint              not null,
   USERID               bigint              not null,
   CARMODULEID          bigint              not null,
   USERMODULECREATETIME timestamp             null,
   USERMODULEREMOVETIME timestamp             null,
   USERMODULESTATUS     bigint              null,
   constraint PK_USERMODULE primary key  (USERMODULEID)
)
;

/*==============================================================*/
/* Table: USERPROGS                                             */
/*==============================================================*/
create table USERPROGS (
   USERPROGSID          bigint              not null,
   USERID               bigint              not null,
   PROGRAMEVENTID       bigint              not null,
   USERPROGSCREATETIME  timestamp             null,
   USERPROGSREMOVETIME  timestamp             null,
   USERPROGSSTATUS      bigint              null,
   constraint PK_USERPROG primary key  (USERPROGSID)
)
;

/*==============================================================*/
/* Table: USERS                                                 */
/*==============================================================*/
create table USERS (
   USERID               bigint              not null,
   USERDESCRIPTION      varchar(4000)        null,
   USERLOGIN            varchar(4000)        not null,
   USERPASSWORD         varchar(4000)        null,
   USERTYPE             varchar(4000)        null,
   USERSTATUS           bigint              null,
   USERLOGINCOUNT       bigint              null,
   USERISGROUP          bigint              null,
   constraint PK_USERS primary key  (USERID)
)
;

/*==============================================================*/
/* Table: USERUSERS                                             */
/*==============================================================*/
create table USERUSERS (
   USERUSERSID          bigint              not null,
   USERID               bigint              not null,
   USERSUBID            bigint              not null,
   USERUSERSCREATETIME  timestamp             null,
   USERUSERSREMOVETIME  timestamp             null,
   USERUSERSSTATUS      bigint              null,
   constraint PK_USERUSERS primary key  (USERUSERSID)
)
;

alter table CARLIST
   add constraint FK_CARLIST_CARMODEL_CARMODEL foreign key (CARMODELID)
      references CARMODEL (CARMODELID)
;

alter table CARLIST
   add constraint FK_CARLIST_CARSTATUS_CARSTATU foreign key (CARSTATUSID)
      references CARSTATUS (CARSTATUSID)
;

alter table CARLIST
   add constraint FK_CARLIST_CARTYPE_CARTYPE foreign key (CARTYPEID)
      references CARTYPE (CARTYPEID)
;

alter table CARLIST
   add constraint FK_CARLIST_USERCARLI_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table CARMODEL
   add constraint FK_CARMODEL_MODELSHOR_MODELSHO foreign key (MODELSHORTID)
      references MODELSHORT (MODELSHORTID)
;

alter table CARMODULE
   add constraint FK_CARMODUL_CARMODULE_CARGROUP foreign key (CARGROUPID)
      references CARGROUP (CARGROUPID)
;

alter table CARMODULE
   add constraint FK_CARMODUL_USERCARMO_USERS2 foreign key (USERID)
      references USERS (USERID)
;

alter table CARMODULEAUTOUPDATE
   add constraint FK_CARMODUL_CARMODULE_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULECALL
   add constraint FK_CARMODUL_CARMODULE_CARMOD14 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULECALL
   add constraint FK_CARMODUL_MODEMMODU_MODEMMOD foreign key (MODEMMODULEID)
      references MODEMMODULE (MODEMMODULEID)
;

alter table CARMODULECOMMAND
   add constraint FK_CARMODUL_COMMANDLI_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULECOUNTERS
   add constraint FK_CARMODUL_CARMODULE_CARMODU7 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEDATA1PARAMS
   add constraint FK_CARMODUL_DATA1LINK_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEDATAPARAMS
   add constraint FK_CARMODUL_CARMODULE_CARMODU6 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEERROR
   add constraint FK_CARMODUL_CARMODULE_CARMODU5 foreign key (CARMODULEERRORTYPEID)
      references CARMODULEERRORTYPE (CARMODULEERRORTYPEID)
;

alter table CARMODULEERROR
   add constraint FK_CARMODUL_ERRORDEVI_ERRORDEV foreign key (ERRORDEVICETYPEID)
      references ERRORDEVICETYPE (ERRORDEVICETYPEID)
;

alter table CARMODULEERROR
   add constraint FK_CARMODUL_USERCARMO_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table CARMODULEHISTORY
   add constraint FK_CARMODUL_CARMODULE_CARMODU2 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEHISTORY
   add constraint FK_CARMODUL_CARMODULE_CARMODU3 foreign key (CARMODULEEVENTID)
      references CARMODULEEVENT (CARMODULEEVENTID)
;

alter table CARMODULEIDS
   add constraint FK_CARMODUL_CARMODULE_CARMODU9 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEMACRO
   add constraint FK_CARMODUL_CARMODULE_CARMOD10 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEMODEMS
   add constraint FK_CARMODUL_CARMODULE_CARMOD11 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEMODEMS
   add constraint FK_CARMODUL_CARMODULE_MODEMMOD foreign key (MODEMMODULEID)
      references MODEMMODULE (MODEMMODULEID)
;

alter table CARMODULEPARAMEXT
   add constraint FK_CARMODUL_PARAMEXTL_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEPARAMS
   add constraint FK_CARMODUL_CARMODULE_CARMODU8 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEPATH
   add constraint FK_CARMODUL_CARMODULE_CARMOD12 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULEPATH
   add constraint FK_CARMODUL_CARMODULE_PATHLIS2 foreign key (PATHID)
      references PATHLIST (PATHID)
;

alter table CARMODULEPATHOBJECT
   add constraint FK_CARMODUL_CARMODULE_CARMOD13 foreign key (CARMODULEPATHID)
      references CARMODULEPATH (CARMODULEPATHID)
;

alter table CARMODULEPATHOBJECT
   add constraint FK_CARMODUL_CARMODULE_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table CARMODULEPROGEVENT
   add constraint FK_CARMODUL_CMPATHEVO_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table CARMODULEPROGEVENT
   add constraint FK_CARMODUL_CMPATHEVT_PROGRAME foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table CARMODULEPROGEVENT
   add constraint FK_CARMODUL_CMPATHPRO_CARMODUL foreign key (CARMODULEPATHID)
      references CARMODULEPATH (CARMODULEPATHID)
;

alter table CARMODULERESPONSIBLE
   add constraint FK_CARMODUL_CARMODULE_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table CARMODULERESPONSIBLE
   add constraint FK_CARMODUL_RESPONSIB_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULERESTRICTIONS
   add constraint FK_CARMODUL_CARMODULE_CARMOD15 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULERESTRICTIONS
   add constraint FK_CARMODUL_CARMODULE_PATHLIST foreign key (PATHID)
      references PATHLIST (PATHID)
;

alter table CARMODULERESTRICTIONS
   add constraint FK_CARMODUL_CARMODULE_PROGRAME foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table CARMODULEROUTESWITCH
   add constraint FK_CARMODUL_ROUTESWIT_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULESENSOR
   add constraint FK_CARMODUL_CMSENSORL_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULESENSOR
   add constraint FK_CARMODUL_CMSENSORM_PROGRAME foreign key (PROGRAMEVENTTYPEID)
      references PROGRAMEVENTTYPE (PROGRAMEVENTTYPEID)
;

alter table CARMODULESMS
   add constraint FK_CARMODUL_CARMODULE_CARMODU4 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARMODULESMS
   add constraint FK_CARMODUL_MODEMMODU_MODEMMO2 foreign key (MODEMMODULEID)
      references MODEMMODULE (MODEMMODULEID)
;

alter table CARSETMODULEMODEMS
   add constraint FK_CM_CARSETMODULE1 foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table CARSETMODULEMODEMS
   add constraint FK_CM_CARSETMODULE2 foreign key (MODEMMODULEID)
      references MODEMMODULE (MODEMMODULEID)
;

alter table DEFAULTOBJECTRESTRICTIONS
   add constraint FK_DEFAULTO_OBJECTDEA_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table DEFAULTPATHOBJECTRESTRICTIONS
   add constraint FK_DEFAULTP_DEFPATHOB_PATHDATA foreign key (PATHDATAID)
      references PATHDATA (PATHDATAID)
;

alter table DOCUMENT
   add constraint FK_DOCUMENT_DOCUMENTP_DOCUMENT foreign key (DOCUMENTORDERID)
      references DOCUMENTORDER (DOCUMENTORDERID)
;

alter table DOCUMENT
   add constraint FK_DOCUMENT_DOCUMENTP_PATHLIST foreign key (PATHID)
      references PATHLIST (PATHID)
;

alter table DOCUMENT
   add constraint FK_DOCUMENT_USERDOCUM_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table DOCUMENTCAR
   add constraint FK_DOCUMENT_DOCUMENTC_CARLIST foreign key (CARLISTID)
      references CARLIST (CARLISTID)
;

alter table DOCUMENTCAR
   add constraint FK_DOCUMENT_DOCUMENTC_DOCUMENT foreign key (DOCUMENTID)
      references DOCUMENT (DOCUMENTID)
;

alter table DOCUMENTORDER
   add constraint FK_DOCUMENT_ORDERCART_CARTYPE foreign key (CARTYPEID)
      references CARTYPE (CARTYPEID)
;

alter table DOCUMENTORDER
   add constraint FK_DOCUMENT_ORDERTASK_OBJECTTA foreign key (OBJECTTASKID)
      references OBJECTTASK (OBJECTTASKID)
;

alter table DOCUMENTORDER
   add constraint FK_DOCUMENT_PROTOCOLO_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table DOCUMENTORDER
   add constraint FK_DOCUMENT_PROTOCOLS_MODELSHO foreign key (MODELSHORTID)
      references MODELSHORT (MODELSHORTID)
;

alter table DOCUMENTORDER
   add constraint FK_DOCUMENT_USERPROTO_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table FUEL
   add constraint FK_FUEL_FUELMODUL_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table FUELTARE
   add constraint FK_FUELTARE_FUELTAREL_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table FUELTARE
   add constraint FK_FUELTARE_FUELUSERL_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table FUELTARECOEF
   add constraint FK_FUELTARE_FUELCOEFL_FUELTARE foreign key (FUELTAREID)
      references FUELTARE (FUELTAREID)
;

alter table FUELTAREPOINT
   add constraint FK_FUELTARE_FUELPOINT_FUELTARE foreign key (FUELTAREID)
      references FUELTARE (FUELTAREID)
;

alter table GRAPHICOBJECT
   add constraint FK_GRAPHICO_GRAPHICOB_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table MODEMMODULEPARAMS
   add constraint FK_MODEMMOD_MODEMMODU_MODEMMOD foreign key (MODEMMODULEID)
      references MODEMMODULE (MODEMMODULEID)
;

alter table OBJECT
   add constraint FK_OBJECT_OBJECTSTA_OBJECTST foreign key (OBJECTSTATUSID)
      references OBJECTSTATUS (OBJECTSTATUSID)
;

alter table OBJECT
   add constraint FK_OBJECT_OBJECTTYP_OBJECTTY foreign key (OBJECTTYPEID)
      references OBJECTTYPE (OBJECTTYPEID)
;

alter table OBJECT
   add constraint FK_OBJECT_USEROBJEC_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table OBJECTMANAGERS
   add constraint FK_OBJECTMA_OBJECTMAN_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table OBJECTTIMERESTRICTIONS
   add constraint FK_OBJECTTI_CARMMODUL_CARMODUL foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table OBJECTTIMERESTRICTIONS
   add constraint FK_OBJECTTI_PATHOBJEC_PATHDATA foreign key (PATHDATAID)
      references PATHDATA (PATHDATAID)
;

alter table PATHDATA
   add constraint FK_PATHDATA_PATHDATA_PATHLIST foreign key (PATHID)
      references PATHLIST (PATHID)
;

alter table PATHDATA
   add constraint FK_PATHDATA_PATHOBJEC_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table PATHLIST
   add constraint FK_PATHLIST_PATHOBJEC_OBJECT foreign key (OBJECTID)
      references OBJECT (OBJECTID)
;

alter table PATHLIST
   add constraint FK_PATHLIST_PATHOBJEC_OBJECTTA foreign key (OBJECTTASKID)
      references OBJECTTASK (OBJECTTASKID)
;

alter table PATHLIST
   add constraint FK_PATHLIST_USERPATH_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table PROGRAMEVENTPOINT
   add constraint FK_PROGRAME_PROGEVENT_PROGRAME foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table PROGRAMEVENTPOINT
   add constraint FK_PROGRAME_PROGEVTYP_PROGRAME foreign key (PROGRAMEVENTTYPEID)
      references PROGRAMEVENTTYPE (PROGRAMEVENTTYPEID)
;

alter table PROGRAMEVENTTYPE
   add constraint FK_PROGRAME_PROGEVENT_CARMODUL foreign key (CARMODULEEVENTID)
      references CARMODULEEVENT (CARMODULEEVENTID)
;

alter table REPORT
   add constraint FK_REPORT_REPORT_REPORTTA foreign key (REPORTTASKID)
      references REPORTTASK (REPORTTASKID)
;

alter table ROLES
   add constraint FK_ROLES_USERROLE_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table SIGNEDDOCUMENT
   add constraint FK_SIGNEDDO_USERSIGNE_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table TRACKEVENT
   add constraint FK_TRACKEVE_TRACKEVEN_PATHLIST foreign key (PATHID)
      references PATHLIST (PATHID)
;

alter table TRACKEVENT
   add constraint FK_TRACKEVE_TRACKEVEN_PROGRAME foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table TRACKOBJECTEVENT
   add constraint FK_TRACKOBJ_TRACKOBJE_PATHDATA foreign key (PATHDATAID)
      references PATHDATA (PATHDATAID)
;

alter table TRACKOBJECTEVENT
   add constraint FK_TRACKOBJ_TRACKOBJE_PROGRAME foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table USERGROUPS
   add constraint FK_USERGROUPS_SUBUSER foreign key (USERSUBID)
      references USERS (USERID)
;

alter table USERGROUPS
   add constraint FK_USERGROUPS_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table USERMODES
   add constraint FK_USERMODES_MODE foreign key (CARMODULEMODESID)
      references CARMODULEMODES (CARMODULEMODESID)
;

alter table USERMODES
   add constraint FK_USERMODES_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table USERMODULE
   add constraint FK_USERMODULE_CARMOD foreign key (CARMODULEID)
      references CARMODULE (CARMODULEID)
;

alter table USERMODULE
   add constraint FK_USERMODULE_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table USERPROGS
   add constraint FK_USERPROGS_PROG foreign key (PROGRAMEVENTID)
      references PROGRAMEVENTS (PROGRAMEVENTID)
;

alter table USERPROGS
   add constraint FK_USERPROGS_USERS foreign key (USERID)
      references USERS (USERID)
;

alter table USERUSERS
   add constraint FK_USERUSERS_SUBUSER foreign key (USERSUBID)
      references USERS (USERID)
;

alter table USERUSERS
   add constraint FK_USERUSERS_USERS foreign key (USERID)
      references USERS (USERID)
;

create index CM_PHONE_IND on carmodule ( carmodulephone, carmodulestatus, carmoduleid);

create index CMH_TIME_IND on carmodulehistory (carmoduleid, carmodulehistorytime, carmodulehistoryid);

create index CMH_GMTIME_IND on carmodulehistory (carmoduleid, gmteventtime, carmodulehistoryid);

CREATE INDEX CMH_GMTIME_IND2 ON CarModuleHistory ( CarModuleID, gmteventtime );

create index CMH_FNDADDR_IND on carmodulehistory (CARMODULEHISTORYADDRESS, carmoduleid, carmoduleeventid);

create index CMH_ID_IND on carmodulehistory (carmodulehistoryid);

CREATE INDEX PARAMS_SPEED ON carmoduleparams ( CarModuleID, carmoduleparamssynctime );

CREATE INDEX IND_CARCOMPARAM ON CarCommonParams (CARMODULEID);

CREATE INDEX IND_FUELTARE ON FuelTare (CARMODULEID, FuelTareRemoveTime, FuelTareLoadTime, FuelTareSensor);

CREATE INDEX IND_FUEL ON fuel (CARMODULEID, fuelstatus);

delete from OBJECTSTATUS;
insert into OBJECTSTATUS(OBJECTSTATUSID, OBJECTSTATUSNAME, OBJECTSTATUSDESCRIPTION) values ('-1', 'Deleted', 'test');
insert into OBJECTSTATUS(OBJECTSTATUSID, OBJECTSTATUSNAME, OBJECTSTATUSDESCRIPTION) values ('0', '', 'test');
insert into OBJECTSTATUS(OBJECTSTATUSID, OBJECTSTATUSNAME, OBJECTSTATUSDESCRIPTION) values ('1', '', 'test');
insert into OBJECTSTATUS(OBJECTSTATUSID, OBJECTSTATUSNAME, OBJECTSTATUSDESCRIPTION) values ('2', '', 'test');

delete from OBJECTTYPE;

insert into OBJECTTYPE(OBJECTTYPEID, OBJECTTYPENAME, OBJECTTYPEDESCRIPTION) values ('-1', 'Graphic Object Type', 'test');
insert into OBJECTTYPE(OBJECTTYPEID, OBJECTTYPENAME, OBJECTTYPEDESCRIPTION) values ('0', ' ', 'test');
